* {
    margin: 0;
    padding: 0;
    font-family: 'plasti';
    scroll-margin-top: 200px; /* Ajusta según el alto de tu header */
}


@font-face {
    font-family: 'plasti';
    src: url(font/Microgramma\ D\ Extended\ Bold.otf);

}

:root {
    --azul: #1f3a64;
    --fondo: white;
}

body {
    padding-top: 100px;
}

main {
    padding-bottom: 100px;
}

header {
    width: 100%;
    padding: 0;
    height: 150px;
    background-color: var(--fondo);
    box-shadow: 15px 0 20px -10px rgba(0, 0, 0, 0.25),
    -15px 0 20px -10px rgba(0, 0, 0, 0.25);
    position: fixed;
    top: 0;
    z-index: 999;
    transition: all 0.4s cubic-bezier(.4,0,.2,1);
}

.header-inner {
  max-width: 1200px;
  margin: auto;
  padding: 5px;
  display: flex;
  flex-direction: column;
  align-items: center;
  transition: all 0.4s cubic-bezier(.4,0,.2,1);
}

header .logocont {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 90px;
    transition: all 0.4s cubic-bezier(.4,0,.2,1);
}

header .logocont img {
    height: 100%;
    transition: transform 0.35s cubic-bezier(.4,0,.2,1),
                height 0.35s cubic-bezier(.4,0,.2,1);
}

header ul {
    display: flex;
    gap: 30px;
    margin-top: 15px;
    list-style: none;
    padding: 0;
}

header ul li a {
    color: var(--azul);
    text-decoration: none;
    transition: .3s;
}

header ul li a:hover {
    color: rgb(0, 0, 0);
}


/* ------------------- */
/* ESTADO CON SCROLL */
/* ------------------- */

header.scrolled {
    height: 100px;
}

header.scrolled .header-inner {
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}

header.scrolled .logocont img {
  height: 70px;
}

header.scrolled nav ul {
  margin-top: 0;
}



main {
    background-color: var(--fondo);
    width: 90%;
    margin: 0 auto;
    box-shadow: 15px 0 20px -10px rgba(0, 0, 0, 0.25),
        -15px 0 20px -10px rgba(0, 0, 0, 0.25);
}

.portada {
    width: 100%;
    height: calc(80vh - 100px);
    background: url(img/portada.png);
    position: relative;
    z-index: 1;
    border-bottom-left-radius: 50% 15%;
    border-bottom-right-radius: 50% 15%;
    overflow: hidden;
}

.capaport {
    background-color: rgba(192, 192, 192, 0.699);
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: -1;
}

.txtport {
    z-index: 1;
    position: absolute;
    top: 10%;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 10px;
    text-align: center;
}

.txtport h1 {
    font-size: 2vw;
    color: var(--azul);
}

.txtport a {
    background-color: var(--azul);
    padding: 5px 10px;
    border-radius: 30px;
    color: white;
    text-decoration: none;
    transition: 0.3s;
}

.txtport a:hover {
    background-color: black;
}

.miviva {
    width: 98%;
    display: grid;
    gap: 2vw;
    grid-template-columns: repeat(2, 1fr);
    position: absolute;
    bottom: 10%;
    left: 50%;
    transform: translateX(-50%);
    color: var(--azul);
}

.miviva h2 {
    text-align: center;
    font-size: 1vw;
}

.mision {
    width: 80%;
    margin: 0 auto;
}

.mision p {
    text-align: justify;
    font-size: .8vw;
}

.vision {
    width: 80%;
    margin: 0 auto;
}

.vision p {
    text-align: justify;
    font-size: .8vw;
}

.valores {
    grid-column: 1 / -1;
    /* ocupa todo el ancho */
    justify-self: center;
    /* centrada horizontalmente */
    width: 40%;
}

.valores ul {
    list-style: none;
    color: var(--azul);
    font-size: .8vw;
}

.conttel {
    position: fixed;
    bottom: 5%;
    right: 0;
    z-index: 100;
    overflow: hidden;
}

.telfloat {
    width: 210px;
    height: 60px;
    background-color: rgb(0, 105, 175);
    display: flex;
    align-items: center;
    border-top-left-radius: 25px;
    border-bottom-left-radius: 25px;
    transform: translateX(150px);
    transition: all 0.5s;
    text-decoration: none;
}

.contwha {
    position: fixed;
    bottom: 5%;
    left: 0;
    z-index: 100;
    overflow: hidden;
}

.whafloat {
    width: 210px;
    height: 60px;
    background-color: green;
    display: flex;
    align-items: center;
    border-top-right-radius: 25px;
    border-bottom-right-radius: 25px;
    transform: translateX(-150px);
    transition: all 0.5s;
    text-decoration: none;
}

.telfloat:hover {
    transform: translateX(0);
}

.whafloat:hover {
    transform: translateX(0);
}

.telfloat img {
    height: 50px;
    width: 50px;
    margin: 10px;
}

.whafloat img {
    height: 50px;
    width: 50px;
    margin-left: 5px;
}

.telfloat p {
    height: 50px;
    width: 150px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: .7vw;
    color: white;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    font-weight: 700;
}

.whafloat p {
    height: 50px;
    width: 150px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: .7vw;
    color: white;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    font-weight: 700;
}

.top {
  display: flex;
  gap: 10px;
  width: 70%;
  margin: 70px auto;
  display: flex;
  align-items: center;
  justify-content: space-evenly;
}

.bottom {
  margin-top: 20px;
  padding: 20px;
  background: #f7f7f7;
  border-radius: 8px;
  min-height: 140px;
  opacity: 1;
  transition: opacity .4s, transform .4s;
}

.contmenu {
    margin-top: 100px;
    color: var(--azul);

}

.contmenu h2 {
    text-align: center;
    margin: 50px;
    font-size: 1.5vw;
}

.menu {
    margin: 100 auto;
    width: 94%;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 20px;
    color: var(--azul);
    margin: auto;
}

.mesc {
    box-shadow: 15px 0 20px -10px rgba(0, 0, 0, 0.25),
    -15px 0 20px -10px rgba(0, 0, 0, 0.25);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
    gap: 10px;
    border-radius: 20px;
    padding: 10px 0;
    overflow: hidden;
}

.mesc:hover img{
    scale: 1.15;
    z-index: 0;
    transition: .5s;
}

.mesc img {
    width: 100%;
    aspect-ratio: 1;
    border: 1px solid rgba(255, 0, 0, 0);
    border-radius: 10px;
    text-align: center;
    object-fit: contain;
}

.mesc h3 {
    z-index: 1;
    background-color: white;
    width: 100%;
    text-align: center;
}

.mesc a {
    background-color: var(--azul);
    padding: 8px 15px;
    border-radius: 20px;
    color: white;
    text-decoration: none;
    transition: .1s;
    z-index: 1;
}

.mesc a:hover {
    background-color: #0e203d;
}

.calidad {
    width: 60%;
    margin: auto;
    margin-top: 100px;
    transition: .4s;
}

.calidad {
    transform: rotateZ(0deg);
    perspective: 1000px;
    transform-origin: center;
    color: var(--azul);
}

.calidad h3 {
    font-size: 1.8vw;
    text-align: center;
    margin: 100px 0;
}

.calidad p {
    font-size: .9vw;
    text-align: center;
}

.productos-bolsas {
    width: 90%;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 5rem 3rem;
    margin: 200px auto;
}

.productos-bolsas .producto {
    padding: 0 30px;
    display: flex;
    flex-direction: column;
    align-items: start;
    gap: 15px;
    border: 2px solid black;
    border-radius: 30px;
    color: var(--azul);
}

.productos-bolsas .producto:target {
    border: 2px solid transparent;
    scale: 1.1;
    transition: 1s;
}

.productos-bolsas .producto h2{
    text-align: center;
    width: 100%;
    color: var(--azul);
}

.productos-bolsas .producto ul {
    list-style: none;
    color: var(--azul);
}

.productos-bolsas .producto a {
    background-color: #25d366;
    border-radius: 20px;
    padding: 5px 10px;
    margin: 10px auto;
    color: white;
    text-decoration: none;
}

.contacto h2{
    color: var(--azul);
    margin: auto;
    text-align: center;
    font-size: 2vw;
}

.contenedor-contacto {
    width: 80%;
    margin: 100px auto;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
}

.contenedor-contacto a {
    width: 50%;
    aspect-ratio: 1;
    margin: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 20px;
    text-decoration: none;
    border: var(--azul) 0px solid;
    border-radius: 30px;
    transition: .3s;
    box-shadow: 15px 0 20px -10px rgba(0, 0, 0, 0.25),
    -15px 0 20px -10px rgba(0, 0, 0, 0.25);
}

.contenedor-contacto a:hover {
    scale: 1.1;
}

.contenedor-contacto a img {
    width: 40%;
}

.contenedor-contacto a p {
    text-align: center;
    color: var(--azul);
}

footer {
    width: 86%;
    padding: 2% 7%;
    margin: 0 auto;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 5%;
    color: var(--azul);
    background-color: var(--fondo);
    box-shadow: 15px 0 20px -10px rgba(0, 0, 0, 0.25),
    -15px 0 20px -10px rgba(0, 0, 0, 0.25);
}

.secfoo {
    box-shadow: 15px 0 20px -10px rgba(0, 0, 0, 0.25),
    -15px 0 20px -10px rgba(0, 0, 0, 0.25);
    display: flex;
    width: 100%;
    border-radius: 20px;
}

.secfoo.logofoo a{
    width: 100%;
    display: flex;
}

.secfoo.logofoo a img {
    width: 90%;
    margin: auto;
    object-fit: contain;
}

.secfoo.menufoo ul{
    display: flex;
    width: 100%;
    align-items: center;
    justify-content: space-evenly;
    list-style: none;
}

.secfoo.menufoo ul a {
    color: var(--azul);
    text-decoration: none;
}

.secfoo.contactofoo {
    flex-direction: column;
    align-items: center;
    gap: 10px;
}

.contcontfoo {
    display: grid;
    width: 80%;
    margin: 0 auto;
    grid-template-columns: repeat(3, 1fr);
    gap: 25px;
}

.contcontfoo a {
    width: 50%;
    margin: auto;
}

.contcontfoo a img {
    width: 100%;
}

@media (max-width:891px) {

    main { 
        width: 96%;
    }

    header {
        max-height: 125px;
        padding: 0;
    }

    .header-inner {
        width: 100%;
        height: 100px;
        padding: 0;
        margin: 0;
        max-width: 100%;
    }

    header .logocont {
        width: 80%;
        height: 90px;
    }

    header .logocont img {
        width: 80%;
        height: auto;
        height: auto;
        object-fit: contain;
    }

    header nav {
        width: 100%;
    }

    header ul {
        gap: 0;
        display: flex;
        width: 100%;
        margin: 0;
        justify-content: space-evenly;
        margin-top: 0;
    }

    header ul li a {
        font-size: 4vw;
    }

    header.scrolled {
        height: 90px;
    }

    header.scrolled .header-inner {
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    header.scrolled nav {
        display: none;
    }

    .portada {
        background: url(img/portadacel.png);
        background-size: cover;
        border-bottom-left-radius: 50% 5%;
        border-bottom-right-radius: 50% 5%;
    }

    .txtport {
        width: 90%;
    }

    .txtport h1 {
        font-size: 6vw;
    }

    .txtport a {
        font-size: 4vw;
    }

    .miviva {
        width: 100%;
        gap: 2vw;
    }

    .mision {
        width: 90%;
    }

    .mision h2 {
        font-size: 4vw;
    }

    .mision p {
        font-size: 2.2vw;
    }

    .vision {
        width: 90%
    }

    .vision h2 {
        font-size: 4vw;
    }

    .vision p {
        font-size: 2.2vw;
    }

    .valores {
        width: 70%;
        margin: 30px;
    }

    .valores h2 {
        font-size: 4vw;
    }

    .valores ul {
        font-size: 2.2vw;
    }



    .telfloat {
        width: 40px;
        height: 40px;
        transform: translateX(0px);
    }

    .whafloat {
        width: 40px;
        height: 40px;
        transform: translateX(-0px);
    }

    .telfloat:hover {
        transform: translateX(0px);
    }

    .whafloat:hover {
        transform: translateX(-0px);
    }

    .telfloat img {
        height: 30px;
        width: 30px;
    }

    .whafloat img {
        height: 30px;
        width: 30px;
    }

    .telfloat p {
        display: none;
    }

    .whafloat p {
        display: none;
    }

    .contmenu h2 {
        font-size: 6vw;
    }

    .menu {
        grid-template-columns: repeat(2, 1fr);
    }

    .calidad {
        width: 90%;
    }

    .calidad h3 {
        font-size: 5vw;
        margin: 50px 0;
    }

    .productos-bolsas {
        width: 94%;
        grid-template-columns: 1fr;
    }

    .calidad p {
        font-size: 2.5vw;
    }

    .contacto h2 {
        font-size: 6vw;
    }

    .contenedor-contacto {
        width: 94%;
    }

    .contenedor-contacto a {
        width: 80%;
        aspect-ratio: 9/16;
    }

    .contenedor-contacto p {
        font-size: 2.6vw;
    }

    footer {
        max-width: 100vw;
    }

    .secfoo.menufoo ul {
        flex-direction: column;
    }

    .secfoo.menufoo ul a {
        font-size: 3vw;
    }

    .contactofoo h3 {
        display: none;
    }

    .contcontfoo {
        display: flex;
        flex-direction: column;
        padding: 20px 0;
    }
}